Subject: [Privacy-pass] Late late late architecture comments

From: "Martin Thomson" <[email-masked]>
Date: Tue, 20 Dec 2022 18:16:07 +1100

Hey folks,

I didn't do my homework on the privacy pass architecture document during the two WGLCs.  I spent a little time on it today and have opened a few issues.  Of note:

1. I think that there is an attack on the unlinkability properties that is fairly trivial to mount between a colluding Issuer and Origin.  The document does disclaim responsibility for any collusion between Attester and Origin [1], but I'm not sure that that is a realistic constraint given what I'm seeing of the deployment context.

https://github.com/ietf-wg-privacypass/base-drafts/issues/307

2. The idea that a Client might cache tokens and make them available to multiple Origins is a bit of a surprise.

https://github.com/ietf-wg-privacypass/base-drafts/issues/308

I've opened issues for a few other things.

[1] ...at least as far as the deployments go, the fully-shared model can't work that way, so that is confusing.